Bug 1586076 - API server crashes when using old format of webhook triggers in build Configs
Summary: API server crashes when using old format of webhook triggers in build Configs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.9.z
Assignee: Ben Parees
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1585663
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-05 12:53 UTC by Ben Parees
Modified: 2018-06-27 18:02 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The webhook payload can contain an empty commit array which results in an array indexing error when processed by the api server. Consequence: The api server crashes. Fix: Check for an empty array before attempting to index into it. Result: Empty commit payloads are handled w/o crashing the api server.
Clone Of: 1585663
Environment:
Last Closed: 2018-06-27 18:02:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2013 normal SHIPPED_LIVE Important: OpenShift Container Platform 3.9 security, bug fix, and enhancement update 2018-06-27 22:01:43 UTC

Comment 1 Ben Parees 2018-06-05 12:57:19 UTC
https://github.com/openshift/ose/pull/1303

Comment 3 Wenjing Zheng 2018-06-13 03:18:33 UTC
Verified with below version:
openshift v3.9.31
kubernetes v1.9.1+a0ce1bc657
etcd 3.2.16

{
  "kind": "Status",
  "apiVersion": "v1",
  "metadata": {},
  "status": "Failure",
  "message": "Unable to extract valid event from payload: 
   <-------------->
   "reason": "BadRequest",
  "code": 400
}

And master api not restart.

Comment 5 errata-xmlrpc 2018-06-27 18:02:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2013


Note You need to log in before you can comment on or make changes to this bug.